export default [
  {
    path: '/user',
    component: '../layouts/UserLayout',
    routes: [
      {
        name: 'login',
        path: '/user/login',
        component: './user/login',
      },
    ],
  },
  {
    path: '/',
    component: '../layouts/SecurityLayout',
    routes: [
      {
        path: '/',
        component: '../layouts/BasicLayout',
        authority: ['admin', 'user'],
        routes: [
          {
            path: '/',
            redirect: '/welcome',
          },
          {
            path: '/welcome',
            name: 'welcome',
            icon: 'smile',
            component: './Welcome',
          },
          {
            path: '/admin',
            name: 'admin',
            icon: 'crown',
            component: './Admin',
            authority: ['admin'],
            routes: [
              {
                path: '/admin/sub-page',
                name: 'sub-page',
                icon: 'smile',
                component: './Welcome',
                authority: ['admin'],
              },
            ],
          },
          {
            path: '/building',
            name: '项目管理',
            icon: 'control',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/building/list',
                name: '项目列表',
                component: './building/List',
              },
              {
                path: '/building/add',
                name: '项目维护',
                component: './building/Edit',
                hideInMenu: true,
              },
              {
                path: '/building/type',
                name: '项目类型',
                component: './building/type/index',
              },
              {
                path: '/building/type/edi',
                name: '项目类型编辑',
                hideInMenu: true,
                component: './building/type/edi',
              },
              {
                path: '/building/Developers',
                name: '品牌开发商',
                component: './building/Developers',
              },
              {
                path: '/building/Developers/Edit',
                name: '品牌开发商编辑',
                hideInMenu: true,
                component: './building/Developers/Edit',
              },
            ],
          },
          {
            path: '/customer',
            name: '客户管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/customer/customer/list',
                name: '客户列表',
                component: './customer/customer/index',
              },


              {
                path: '/customer/customerlist/list',
                name: '客户列表old',
                component: './customer/customerlist/index copy.jsx',
              },
              {
                path: '/customer/customerlist/customerDetail',
                name: '私客详情',
                hideInMenu: true,
                component: './customer/customerlist/customerDetail',
              },
              {
                path: '/customer/drift/list',
                name: '游客列表',
                component: './customer/drift/index',
              },
              {
                path: '/customer/customerlist/publicCustomerDetail',
                name: '公客详情',
                hideInMenu: true,
                component: './customer/customerlist/publicCustomerDetail',
              },
            ],
          },
          {
            component: './404',
          },
        ],
      },
      {
        component: './404',
      },
    ],
  },
  {
    component: './404',
  },
]
